Package org.h2.test.bench

# Class BenchSimple

java.lang.Object
org.h2.test.bench.BenchSimple

All Implemented Interfaces:
  `Bench`

public class BenchSimple extends Object implements Bench
This is a very simple benchmark application. One table is created where rows are inserted, updated, selected (in sequential and random order), and then deleted.

## Constructor Summary

Constructors
Constructor
Description
`BenchSimple()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the name of the test.
`void`
`init(org.h2.test.bench.Database db, int size)`
Initialize the database.
`void`
`runTest()`
Run the test.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BenchSimple

public BenchSimple()

## Method Details

### init

public void init(org.h2.test.bench.Database db, int size) throws SQLException
Description copied from interface: `Bench`
Initialize the database. This includes creating tables and inserting data.

Specified by:
  `init` in interface `Bench`
Parameters:
  `db` - the database object
  `size` - the amount of data
Throws:
  `SQLException`

### runTest

public void runTest() throws SQLException
Description copied from interface: `Bench`
Run the test.

Specified by:
  `runTest` in interface `Bench`
Throws:
  `SQLException`

### getName

public String getName()
Description copied from interface: `Bench`
Get the name of the test.

Specified by:
  `getName` in interface `Bench`
Returns:
  the test name